Subject: Re: Hand Configuration of Ad Hoc Nets?

From: Charles Perkins <[email-masked]>
Date: Mon, 9 Mar 1998 07:56:18 -0800 (PST)

> As far as I understand there is two states to an Ad-HOC Network:
> 
> 1) Connected to the rest of the world and the Internet.
> 2) Not connected to the rest of the world.

I had been under the impression that the ad-hoc network, during
the time period of the maintenance of the ad-hoc topology, was
not connected to the rest of the world.  If it's "partially
connected", then solutions using Mobile IP exist to give every
node in the ad-hoc network full Internet connectivity.

> Consider case 2, if there are three notebook computers in a room forming
> an
> ad-hoc network. Do we really care that they may duplicate an address
> somewhere else?
> I think that address duplication in this case is not important.

It makes a difference if the three notebook computers themselves
contain a duplicated address.

> In case 1, since they are connected to the rest of the world, there must
> be a gateway in their network. I think that this gateway should be
> responsible for address assignment via an automated protocol. If there
> are two or more gateways in the MANET then they should use an
> arbitration protocol to decide which one can assign addresses.

This is too much to ask for a gateway to be responsible for, unless
the gateway can be assured a priori that it is selecting addresses
from a range which is not used elsewhere in the Internet.  In the
latter case, it still depends upon complete connectivity to all
ad-hoc nodes during the address assignment phase.

> Now transitioning from 1 to 2 is automatic and no work needs to be done.

If you say that the gateway has to do the work, and then hypothesize
that the work can magically get done, then you must have in mind
certain assumptions that are not apparent to me.

> Transitioning from 2 to 1 is where problems may occur in terms of
> address duplication.

I do not yet understand how you can ever do address assignment in
state (2) without specialized, simplifying assumptions.  Can you
state how it might be possible, or what your assumptions are?

> There are two options in this case:
> a) Renumber the addresses dynamically.

If this were easy, we would have heard a lot fewer war stories
about companies trying it and spinning into peril.

> b) The gateway realizes the transition and operates in proxy mode
> thereby isolating
> the network from the rest of the world. So address duplication does not
> matter.

> Regarding the distributed directories. In state 2, since you can't be
> reached by anyone else besides your MANET, directory updates do not
> matter beyond your MANET.

Doesn't it matter whether the ad-hoc directories themselves are
consistent?

> In case 1, you need to update your directory entry in the closest
> database and possibly in your home database as soon as the new address
> is assigned.
> 
> The case of transitioning from 2 to 1 needs to be investigated and I
> will follow up on that
> later.
> 
> Please comment.

I feel like we are talking past each other.  I can't see how you
can do dynamic address assignment in the general case.  Chip says
that it is paramount, which I interpret to mean that the general
case is not interesting.  You speak as if it is simple or trivial,
propose proxies, discuss distributed directory maintenance, and
all the while I can't seem to find a way to connect the dots at all.

Charlie P.

---

From: Chip Elliott <[email-masked]>
Date: Mon, 09 Mar 1998 20:14:38 -0500

At 07:56 AM 3/9/98 -0800, you wrote:
>case is not interesting.  

Charlie,

I'm getting lost here. What on earth am I claiming
is paramount? Why am I not interested in the general case?

I really only have one dog in this race, which is that
IP networks have historically been pretty hard to configure,
and I hope we can do better with ad hoc networks.

No, I'll strengthen that a bit. One measure of scalability
is how LIKELY is it that you can gather 'n' nodes together
and have them correctly form a network. If every sys admin
"back home" has to type in consistent routing parameters, the
chances that a 10-node truly Ad-Hoc network will work... well,
what would you say?

-- Chip